# PropertyValueDataErrorEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

The event handler class that is invoked when a property in the grid cannot receive the value modified by the user.

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void PropertyValueDataErrorEventHandler(Object sender, PropertyValueDataErrorEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub PropertyValueDataErrorEventHandler(ByVal sender As [Object], ByVal e As PropertyValueDataErrorEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name       | Type                                                                                                                        | Description                                                                                                                                                 |
| ---------- | --------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                                                               | The source of the event.                                                                                                                                    |
| **e**      | [PropertyValueDataErrorEventArgs](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvaluedataerroreventargs.md) | A [PropertyValueDataErrorEventArgs](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvaluedataerroreventargs.md) that contains the event data. |

## Fired By

| Name                                                                                                         | Description                                                                             |
| ------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------- |
| [PropertyGrid.PropertyValueDataError](/api/wisej.web/lists-and-grids/propertygrid.md#propertyvaluedataerror) | Fired when a property value is being changed but it is incompatible with the new value. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvaluedataerroreventhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
